'use strict';

var _module$exports;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * Set mappings to Trend cloud api.
 */

var TOKEN_NAME = 'trendToken';

var API_ROOT = process.env.SERVER_NAME === 'dev1' ? 'http://api-dev1.trend.community:3002' : process.env.SERVER_NAME === 'web1' ? 'http://api.trend.community:3002' : 'http://localhost:3000';

var HTTP = {
  get: 'GET',
  post: 'POST',
  put: 'PUT',
  delete: 'DELETE'
};

var ANY_USER = 'any';
var USDAFOODS_USER = 'usdafoods';

var LOGIN_URL = 'auth/login';
var LOGOUT_URL = 'auth/logout';
var REFRESH_URL = 'auth/refresh';

var USERS_URL = 'api/users';
var RECIPES_URL = 'api/recipes';
var MEALS_URL = 'api/meals';
var FOODS_URL = 'api/foods';

var UPLOAD_IMAGE_URL = API_ROOT + '/upload/image';

module.exports = (_module$exports = {
  TOKEN_NAME: TOKEN_NAME,
  API_ROOT: API_ROOT,
  HTTP: HTTP,
  ANY_USER: ANY_USER,
  USDAFOODS_USER: USDAFOODS_USER,
  LOGOUT_URL: LOGOUT_URL
}, _defineProperty(_module$exports, 'LOGOUT_URL', LOGOUT_URL), _defineProperty(_module$exports, 'REFRESH_URL', REFRESH_URL), _defineProperty(_module$exports, 'USERS_URL', USERS_URL), _defineProperty(_module$exports, 'RECIPES_URL', RECIPES_URL), _defineProperty(_module$exports, 'MEALS_URL', MEALS_URL), _defineProperty(_module$exports, 'FOODS_URL', FOODS_URL), _defineProperty(_module$exports, 'UPLOAD_IMAGE_URL', UPLOAD_IMAGE_URL), _module$exports);